CairoContext::curveTo
CairoContext::deviceToUserDistance
CairoContext
PHP Manual

# CairoContext::deviceToUser

# cairo_device_to_user

(PECL cairo >= 0.1.0)

CairoContext::deviceToUser -- cairo_device_to_user — Transform a coordinate

### Description

Object oriented style (method):

public array CairoContext::deviceToUser ( float `$x` , float `$y` )

Procedural style:

array cairo_device_to_user ( CairoContext `$context` , float `$x` , float `$y` )

Transform a coordinate from device space to user space by multiplying the given point by the inverse of the current transformation matrix (CTM).

### Parameters

`context`

  A valid CairoContext object created with CairoContext::__construct or cairo_create()

`x`

  x value of the coordinate

`y`

  y value of the coordinate

### Return Values

An array containing the x and y coordinates in the user-space

### See Also

- CairoContext::deviceToUserDistance - Transform a distance

CairoContext::curveTo
CairoContext::deviceToUserDistance
CairoContext
PHP Manual